<?php
/**
 * @package WordPress
 * @subpackage Instant Q&A - WPQA
 
 */
get_header(); ?>

	<!-- Main Section -->
    <div id="main">
    	<div id="mainContent">
        
           	<?php include (TEMPLATEPATH . '/sidebar-left-categories.php'); ?>   
            
            <!-- Center Column -->
            <div id="centerCol" class="left">
                
                <!-- Search Form -->
				<?php get_search_form(); ?>
                <!-- Search Form -->
                
             	<!-- Main Box -->
                <div class="greyBox3">
                    <div class="greyBoxInner3">
                                
                      <?php /* If this is a category archive */ if (is_category()) { ?>
                        <h2><?php single_cat_title(); ?></h2>
                        <?php if (have_posts()) : ?>
                    
                        <?php while (have_posts()) : the_post(); ?>
                        <!-- Question -->
                        <div class="question">
                            
                            <div class="left questionMain">
                                <div class="right">
                                <?php 
                                    // Get data for displaying avatar
									$author = $authordata; 
									$blog_url = get_bloginfo('template_url');
									$selected_avatar_image = get_user_default_icon($author->ID);
									$avatar_image = '/images/default-user-avatar-'.$selected_avatar_image.'.jpg';
									$url = $blog_url . $avatar_image ;
									                                    
                                    // Get data for linking to member profile when clicking avatar image
                                    $main_url = get_bloginfo('url');
                                    $author_name = get_the_author_meta('nicename');
                                    $profile_link = '/profile/';
                                    $author_profile_link = $main_url . $profile_link . $author_name;
                                ?>
                                <a href="<?php echo $author_profile_link ?>"><?php echo get_avatar($author->user_email, $size = '50', $url); ?></a>
                            </div>
                                <h4><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>
                                <?php $contentText = get_the_content(); ?>
                               
                                <?php $shortdesc = myTruncate($contentText, 200, " "); echo "<p>$shortdesc</p>"; ?>                         
                                <div class="questionByline">
                                    <a href="<?php comments_link();?>"><img src="<?php bloginfo('template_url'); ?>/images/num-answer-icon.png" alt="Answers" /></a>
                                    <span class="answers"><a href="<?php comments_link();?>"><?php comments_number('بدون پاسخ', '1 پاسخ', '% پاسخ'); ?></a></span>
                                    <span>در: <?php the_category(',') ?></span>
                                    <span>توسط: <?php the_author_posts_link(); ?></span>
                                 
                                    <span class="points">[<?php echo getPointLevel($authordata->ID); ?>]</span>
                                    <span><?php the_time('M j, Y'); ?></span>
                                </div>
                            </div>
                            <div class="clear"></div>
                        </div>
                        <!-- / Question -->
                        <?php endwhile; ?>

                        <div class="navigation">
                            <div class="whiteBtn right"><?php next_posts_link('<span>View More Recent Questions &raquo;</span>') ?></div>
                            <div class="clear"></div>
                        </div>
                        
						<h4>آیا سوال و پاسخ آن را یافت نکردید؟</h4>
						<?php if ( is_user_logged_in() ) { ?>
                            <p>سوال خود را مطرح کنید تا کاربران دیگر به شما کمک کنند.</p>
                            <div class="whiteBtn marTop10"><a href="<?php bloginfo('url'); ?>/ask-a-question/" title="Ask A Question"><span>پرسیدن یک سوال &raquo;</span></a></div>
                            <div class="clear"></div>
                            
                        <?php } else { ?>
                            <p>افزودن پرسش شما در سایت</p>
                            <p>شما باید <a href="<?php bloginfo('url'); ?>/log-in/">وارد شوید</a> تا سوال بپرسید.</p>
                            <div class="divider2"></div>
                            <p>کاربر سایت نیستید؟ <a href="<?php bloginfo('url'); ?>/sign-up/">عضو شوید &raquo;</a></p>

                        <?php }; ?> 
                        
                        </div></div>
                       
						<?php else : ?>
                        <p></p>
                       	<h4>There are no questions for this category. Be the first to add a question to this category.</h4>
						<?php if ( is_user_logged_in() ) { ?>
                            <p>Add your Question to the site by visiting the Ask Question Form.</p>
                            <div class="whiteBtn marTop10"><a href="<?php bloginfo('url'); ?>/ask-a-question/" title="Ask A Question"><span>Ask Question Form &raquo;</span></a></div>
                            <div class="clear"></div>
                            
                        <?php } else { ?>
                            <p>Add your Question to the site.</p>
                            <p>You must be <a href="<?php bloginfo('url'); ?>/log-in/">Logged In</a> to Add a Question.</p>
                            <div class="divider2"></div>
                            <p>Not a member yet? <a href="<?php bloginfo('url'); ?>/sign-up/">Sign Up Now &raquo;</a></p>

                        <?php }; ?> 
                        
                        </div></div>    
						
						<?php endif; ?>

					  <?php
					  // Member Profile Page
					   } elseif (is_author()) { ?>
                      
                       <?php
                     	 global $wp_query;
					  	$curauth = $wp_query->get_queried_object();
						?>
                      
                        <h2 class="pagetitle"><?php echo $curauth->nickname ?>'s Profile</h2>
                        <div class="left">
							<?php 
                                // Get data for displaying avatar
								$author = $curauth; 
								$blog_url = get_bloginfo('template_url');
								$selected_avatar_image = get_user_default_icon($author->ID);
								$avatar_image = '/images/default-user-avatar-'.$selected_avatar_image.'.jpg';
								$url = $blog_url . $avatar_image ;
                            ?>
                            <?php echo get_avatar($author->user_email, $size = '50', $url); ?>
                        </div>
                        <div class="left questionMain">
                            <span class="pointsBox2 left"><b>Star Rating:</b> <span class="points">[<?php echo getPointLevelBig($curauth->ID); ?> ]</span></span>
                            <div class="clear"></div>
                            <div class="divider2"></div>
                            <?php $author_join_date = $curauth->user_registered; ?>
                            <span><b>Member Since:</b> <?php echo formatDate($author_join_date) ?></span>
                            <div class="divider2"></div>
                            <?php $author_answer_count = $wpdb->get_var("SELECT COUNT(*) FROM ".$wpdb->prefix."comments WHERE user_id = '".$curauth->ID."'");?>
                            <?php $author_question_count = $wpdb->get_var("SELECT COUNT(*) FROM ".$wpdb->prefix."posts WHERE post_status = 'publish' AND post_author = '".$curauth->ID."'");?>
                            <?php echo "<span><b>Total # Questions Provided: </b></span>".$author_question_count.""?>
                            <div class="divider2"></div>
                            <?php echo "<span><b>Total # Answers Provided: </b></span>".$author_answer_count.""?>
                            <div class="divider2"></div>
                            <?php $author_about_me_text = get_usermeta($curauth->ID, 'user_about_me')?>
                            <?php if(!$author_about_me_text == '') { ?>
                            <?php echo "<span class=\"left\"><b>About Me: </b></span>"?>
                            <?php echo "<span class=\"left aboutMeText\">".$author_about_me_text."</span>"?>
                            <?php } ?>
                        </div>
                        <div class="clear"></div>
					</div>
                </div>
                        
                        <!-- My Recent Questions & Answers Tabbed Section -->
                        <div id="tabWidget3">
                            <!-- Navigation Tabs -->
                            <div id="wTabs3">
                                <ul>
                                    <li class="on"><a href="javascript:showWidget(0,3)">Recent Questions</a></li>
                                    <li><a href="javascript:showWidget(1,3)">Recent Answers</a></li>
                                </ul>
                            </div>
                            <div class="reset"></div>
                            <div class="bordsp10"></div>
                            <!-- /Navigation Tabs -->
                                    
                            <!-- Tabs Content Blocks -->
                            <div id="wContent">
                            
                                <!-- My Recent Questions -->
                                <div class="wContentBox">
                                    <div class="greyBox2">
                                        <div class="greyBoxInner2">
                                            <?php if (have_posts()) { ?>
                                             <?php 
                                                 $args = array(
                                                    'author' => $curauth->ID,
                                                    'order'  => DESC,
                                                    'posts_per_page' => 10
                                                );
                                                query_posts($args);?>
        
                                                <?php while (have_posts()) : the_post(); ?>
                                                <!-- Question -->
                                                <div class="question">
                                                    <div class="left questionIcon">
                                                        <a href="<?php the_permalink() ?>"><img src="<?php bloginfo('template_url'); ?>/images/question-icon.png" alt="Question" /></a>
                                                        <div class="date">
                                                            <p><?php the_time('M'); ?></p><p class="dateDay"><?php the_time('j'); ?></p><p><?php the_time('Y'); ?></p>
                                                        </div>
                                                        <div class="clear"></div>
                                                    </div>
                                                    <div class="left questionMain">
                                                        
                                                        <h4><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>
                                                        <?php $contentText = get_the_content(); ?>
                                                       
                                                        <?php $shortdesc = myTruncate($contentText, 200, " "); echo "<p>$shortdesc</p>"; ?>                         
                                                        <div class="questionByline">
                                                            <a href="<?php comments_link();?>"><img src="<?php bloginfo('template_url'); ?>/images/num-answer-icon.png" alt="Answers" /></a>
                                                            <span class="answers"><a href="<?php comments_link();?>"><?php comments_number('No Answers', '1 Answer', '% Answers'); ?></a></span>
                                                            <span>In: <?php the_category(',') ?></span>
                                                            <span>By: <?php the_author_posts_link(); ?></span>
                                                         
                                                            <span class="points">[<?php echo getPointLevel($authordata->ID); ?>]</span>
                                                        </div>
                                                    </div>
                                                    <div class="clear"></div>
                                                </div>
                                                <!-- / Question -->
                                                <?php endwhile; ?>                                        
                                        
                                            <?php } if (!have_posts()) { ?>
                                                <p class="introText"><?php echo $curauth->nickname ?> has not asked any questions.</p>
                                                <div class="clear"></div>
                                            <?php } ?>
                                            
                                            <?php wp_reset_query();?>
                                        </div>
                                    </div>
                                </div>
                                <!-- / My Recent Questions -->
                                
                                <!-- My Recent Answers -->
                                <div class="wContentBox" style="display:none;">
                                    <div class="greyBox2">
                                        <div class="greyBoxInner2">
                                           <?php
                                            $comments = getUserAnswers($curauth->ID);
                                            
                                            if (!empty($comments)) { ?>
                                                <!-- Answer -->
                                                <?php
                                                foreach($comments as $comment) {
                                                    
                                                    $question = get_post($comment->comment_post_ID);
                                                    $question_category = get_the_category($comment->comment_post_ID);
                                                    query_posts('p=' . $comment->comment_post_ID);
                                                ?>
                                               
                                                <div class="question">
                                                    <div class="left questionIcon">
                                                        <a href="#answer-<?php comment_ID(); ?>"><img src="<?php bloginfo('template_url'); ?>/images/answer-icon2.png" alt="Answer" /></a>
                                                        <div class="date">
                                                            <p><?php echo get_comment_date(' M ') ?></p><p class="dateDay"><?php echo get_comment_date('j'); ?></p><p><?php echo get_comment_date('Y'); ?></p>
                                                        </div>
                                                        <div class="clear"></div>
                                                    </div>
                                                    <div class="left questionMain">
                                    
                                                        <?php comment_text() ?>
                                                       <div class="divider2"></div>
                                                        <div class="questionByline">
                                                            <span>Question: <a href="<?php bloginfo('url'); ?>/<?php echo $question_category[0]->slug; ?>/<?php echo $question->post_name; ?>/#answer-<?php comment_ID();?>"><?php echo $question->post_title; ?></a></span>
                                                        </div>
                                                    </div>
                                                    <div class="clear"></div>
                                                </div>
                                                <?php } ?> 
                                                <!-- Answer -->
                                            <?php } if (empty($comments)) { ?>
                                                <p class="introText"><?php echo $curauth->nickname ?> has not answered any questions.</p>
                                                <div class="clear"></div>
                                            <?php } ?>
        
                                        </div>
                                    </div>
                                </div>
                                <!-- / My Recent Answers -->
        
                            </div>
                            <!-- Tabs Content Blocks -->
                            <div class="reset"></div>
                        </div>
                        <!-- My Recent Questions & Answers Tabbed Section -->
				<?php } ?>
                <div class="navigation">
                    <div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
                    <div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
                </div>
            	<div class="reset"></div>
               	<!-- / Main Box -->

            </div>
            <!-- / Center Column -->
            <?php get_sidebar(); ?>

        </div>
        <?php include (TEMPLATEPATH . '/banner_728x90.php'); ?>   

    </div>
    <!-- / Main Section -->

<?php get_footer(); ?>