<?php
/**
 * @package WordPress
 * @subpackage Instant Q&A - WPQA
 */

// Do not delete these lines

if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');

if ( post_password_required() ) { ?>
	<p class="nocomments">This post is password protected. Enter the password to view comments.</p>
<?php
	return;
}
?>

<?php if ( have_comments() ) : ?>
	<?php $cmtnum = 0; foreach ($comments as $comment) : $cmtnum++;?>

    <div <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
        <div id="comment-<?php comment_ID(); ?>">
        	<!-- Answer -->
            <div class="question">
            
                <div class="left questionMain">
				
				<div class="right">
					<?php 
                        // Get data for displaying avatar
                        $blog_url = get_bloginfo('template_url');
                       	$selected_avatar_image = get_user_default_icon($comment->user_id);
						$avatar_image = '/images/default-user-avatar-'.$selected_avatar_image.'.jpg';
						$url = $blog_url . $avatar_image ;
                        
                        // Get data for linking to member profile when clicking avatar image
                        $main_url = get_bloginfo('url');
                        $author_name = get_comment_author();
                        $profile_link = '/profile/';
                        $author_profile_link = $main_url . $profile_link . $author_name;
                    ?>
                    <a href="<?php echo $author_profile_link ?>"><?php echo get_avatar( $comment->comment_author_email, $size = '50', $url); ?></a>
                </div>
                    <h5 class="answerText">پاسخ #<?php echo $cmtnum; ?> </h5>
                    <div class="clear"></div>
                    <?php comment_text() ?>
                   
                    <div class="questionByline">
                        <img src="<?php bloginfo('template_url'); ?>/images/num-answer-icon.png" alt="Answers" />
                        <span>پاسخ توسط: <a href="<?php bloginfo('url'); ?>/profile/<?php echo get_comment_author_link(); ?>"><?php echo get_comment_author_link(); ?></a></span>
                        <span class="points">[<?php echo getPointLevel($comment->user_id); ?>]</span>
                    </div>
                </div>
                
                
                <div class="clear"></div>
            </div>
        	<!-- Answer -->
        </div>
    </div>
 <?php endforeach; ?>
 
 <?php else : // this is displayed if there are no comments so far ?>
	<?php if ( comments_open() ) : ?>
		<!-- If comments are open, but there are no comments. -->
	<?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments">دیدگاه ها بسته است.</p>
	<?php endif; ?>
<?php endif; ?>




