<?php
/**
 * @package WordPress
 * @subpackage Instant Q&A - WPQA
 */
?>

	<!-- Footer Section -->
    <div id="footer">
    	<div id="footerContent">
        	<div class="bottomNav right">
            	<ul>
                	<li><a href="<?php bloginfo('url'); ?>">خانه</a></li>
                	<li><a href="<?php bloginfo('url'); ?>/about">درباره</a></li>
                    <?php
					// If logged in change nav to My Account and Log Out
					if ( is_user_logged_in() ) { ?>
                    <li><a href="<?php bloginfo('url'); ?>/my-account">حساب کاربری</a></li>
                	<li><a href="<?php echo wp_logout_url('$index.php'); ?>">خروج</a></li>
                    
					<?php } else { ?>
                	<li><a href="<?php bloginfo('url'); ?>/sign-up">عضویت</a></li>
                	<li><a href="<?php bloginfo('url'); ?>/log-in">ورود</a></li>
                    
					<?php }; ?>
                </ul>
            </div>
    		<div class="bottomNav left"><ul><li> پوسته توسط <a href="http://www.persianscript.ir/" target="_blank">پرشین اسکریپت</a></li></ul></div>
            <div class="clear"></div>
        </div>
    
    </div>
    <!-- / Footer Section -->
    <?php wp_footer(); ?>

    <?php
		$google_code = stripslashes(get_option('instant_qa_google_code'));
	 	if ($google_code != ""){  ?>
		<script type="text/javascript">
			var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
			document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
			</script>
			<script type="text/javascript">
			var pageTracker = _gat._getTracker("UA-<?php echo $google_code ?>");
			pageTracker._initData();
			pageTracker._trackPageview();
		</script>
	<?php }?>
</body>
</html>
