<?php
/**
 * @package WordPress
 * @subpackage Instant Q&A - WPQA
 
 Template Name: برگه عضویت
 
 */
 ?>
 
<?php 
if ( $_POST['signup_post'] == '1') {

	$username = $_POST['user_login'];
	$password = $_POST['password'];
	$confirm = $_POST['pass_confirm'];
	$email = $_POST['user_email'];
		
	$message = add_new_user($username, $password, $confirm, $email);
}				

get_header(); ?>

	<!-- Main Section -->
    <div id="main">
    	<div id="mainContent">
        
           	<?php include (TEMPLATEPATH . '/sidebar-left-categories.php'); ?>   
            
            <!-- Center Column -->
            <div id="centerCol" class="left">
            
                <!-- Search Form -->
				<?php get_search_form(); ?>
                <!-- Search Form -->
                
             	<!-- Main Box -->
                <div class="greyBox3">
                    <div class="greyBoxInner3">
                    	<?php 
						// If logged in change nav to My Account and Log Out
                        if ( !is_user_logged_in() ) { ?>
                        
                        <h2><?php the_title(); ?></h2>
                        
                        <!-- Show Form Errors -->
						<?php display_message($message) ?>
                        <!-- / Show Form Errors -->
                      	
                        <div class="formImage right"><img src="<?php bloginfo('template_url'); ?>/images/signup-image.png" alt="Sign Up" /></div>
                  			<!-- Sign Up Form -->
							<form name="signupform" id="signupform" action="" method="post">
                                
                                <label>انتخاب نام کاربری:<span class="asterixRequired">*</span></label>
                                <fieldset><input type="text" name="user_login" id="new_user_login" class="text" value="<?php echo $_POST['user_login']; ?>" /></fieldset>
                                
                                <label>رمز عبور:<span class="asterixRequired">*</span></label>
                                <fieldset><input type="password" name="password" id="password1" class="text" value="" /></fieldset>
                                
                                <label>تکرار رمز عبور:<span class="asterixRequired">*</span></label><br />
                                <fieldset><input type="password" name="pass_confirm" id="password2" class="text" value="" /></fieldset>
                                
                                <label>آدرس ایمیل:<span class="asterixRequired">*</span></label><br />
                                <fieldset><input type="text" class="text" name="user_email" id="user_email" value="<?php echo $_POST['user_email']; ?>" /></fieldset>
								<div class="divider"></div>
                                
                            	<div class="signup"><input type="image" name="signup_submit" id="signup_submit" src="<?php bloginfo('template_url'); ?>/images/signup-now-btn.png" value="عضو شوید" /></div>
                                
                            	<input type="hidden" name="signup_post" value="1"/>
                                
                            </form>
                  			<!-- / Sign Up Form -->
							
                            <div class="divider"></div>
                            <div class="post">
                                <div class="whiteBtn right"><a href="<?php bloginfo('url'); ?>/log-in/"><span>هم اکنون وارد شوید</span></a></div>
                                <p class="right buttonDesText">قبلا در سایت عضو شده اید؟ </p>
                                <div class="clear"></div>
                            </div>
                            
                            <?php
							// If user is already logged in Redirect them to My Account Page
							 } else { ?>
                                	
								<?php redirect_to_myaccount_url(); ?>
                                
                            <?php }; ?>
                    </div>
                </div>
            	<div class="reset"></div>
               	<!-- / Main Box -->

            </div>
            <!-- / Center Column -->
            <?php get_sidebar(); ?>

        </div>
        <?php include (TEMPLATEPATH . '/banner_728x90.php'); ?>   
        
    </div>
    <!-- / Main Section -->

<?php get_footer(); ?>