<?php
/**
 * @package WordPress
 * @subpackage Instant Q&A - WPQA
 
 Template Name: برگه حساب کاربری
 
 */
 ?>
 
<?php
	global $current_user;
	get_currentuserinfo(); 

 get_header(); ?>

	<!-- Main Section -->
    <div id="main">
    	<div id="mainContent">
        
           	<?php include (TEMPLATEPATH . '/sidebar-left-categories.php'); ?>   
            
            <!-- Center Column -->
            <div id="centerCol" class="left">
                
                <!-- Search Form -->
				<?php get_search_form(); ?>
                <!-- Search Form -->
                
             	<!-- Main Box -->
                <?php
			 // If logged in show Form
				if ( is_user_logged_in() ) { ?>
                <div class="greyBox3">
                    <div class="greyBoxInner3">
                        <h2><?php the_title(); ?></h2>
                        
						<?php
                        // Show messages to user - Recent Password Reset, User Registration - All messages are shown one time at first login.
                        // New User Registration Messaging
                        $new_registration_check = get_usermeta($current_user->ID, 'newuser');
                        if ($new_registration_check == 'yes') {
                            $message = 'Thank you for signing up for our site! We look forward to your contributions. Feel free to ask questions and help others by answering their questions. Earn Star points by asking and answering questions.';
                            update_usermeta( $current_user->ID, 'newuser', 'no');

                        }
                        if ($new_registration_check == 'no') {
                        }
                        
                        // Password Reset Messaging From Reset Password Field Loggedout - Yes or No
                        $password_recet_check = get_usermeta($current_user->ID, 'passwordreset');
                        if ($password_recet_check == 'yes') {
                            $message = 'Your password was recently reset. We recommended that you update your password to something that you can remember.<br /><br /><a href="change-password/">Change Your Password Now &raquo;</a>';
                            update_usermeta( $current_user->ID, 'passwordreset', 'no');
                        }
                        if ($password_recet_check == 'no') {
                        }
						
						// Edit Profile Updated Messaging - Yes or No
                        $edit_profile_updated_check = get_usermeta($current_user->ID, 'edit_profile_changed');
                        if ($edit_profile_updated_check == 'yes') {
                            $message = 'You have successfully updated your Profile information.';
                            update_usermeta( $current_user->ID, 'edit_profile_changed', 'no');
                        }
                        if ($edit_profile_updated_check == 'no') {
                        }
						
						// Changed Password Messaging From My Account - Yes or No
                        $changed_password_check = get_usermeta($current_user->ID, 'changed_password_my_account');
                        if ($changed_password_check == 'yes') {
                            $message = 'Your Password was Successfully Changed.';
                            update_usermeta( $current_user->ID, 'changed_password_my_account', 'no');
                        }
                        if ($changed_password_check == 'no') {
                        }
	
                        ?>
                        
                        <?php display_message($message) ?>
                        <span class="pointsBox2 right"><b>امتیاز:</b> <span class="points">[<?php echo getPointLevelBig($current_user->ID); ?> ]</span></span>
                        <div class="accountUsername">خوش آمدید <?php echo $current_user->user_login ?>!</div>
                        <div class="divider2"></div>
                        <h4>دوست دارید امروز چه کاری انجام دهید؟</h4>
                        <div class="greyBoxInner3 left whiteLinkBox">
                            <img src="<?php bloginfo('template_url'); ?>/images/questions-icon-big.png" alt="Question" class="left padIconImage" />
                            <div class="whiteBtn left"><a href="<?php bloginfo('url'); ?>/ask-a-question/" title="Ask a Question"><span>یک سوال بپرسید &raquo;</span></a></div>
                        </div>
                        <div class="greyBoxInner3 left whiteLinkBox">
                            <img src="<?php bloginfo('template_url'); ?>/images/answers-icon-big.png" alt="Question" class="left padIconImage" />
                            <div class="whiteBtn left"><a href="<?php bloginfo('url'); ?>/" title="Answer Questions"><span>به سوالات پاسخ دهید &raquo;</span></a></div>
                        </div>
                        <div class="clear"></div>
                	</div>
                </div>

				<!-- My Recent Questions & Answers Tabbed Section -->
                <div id="tabWidget3">
                    <!-- Navigation Tabs -->
                    <div id="wTabs3">
                        <ul>
                            <li class="on"><a href="javascript:showWidget(0,3)">آخرین پرسش های من</a></li>
                            <li><a href="javascript:showWidget(1,3)">آخرین پاسخ های من</a></li>
                        </ul>
                    </div>
                    <div class="reset"></div>
                    <div class="bordsp10"></div>
                    <!-- /Navigation Tabs -->
                            
                    <!-- Tabs Content Blocks -->
                    <div id="wContent">
                    
                        <!-- My Recent Questions -->
                        <div class="wContentBox">
                        	<div class="greyBox2">
                                <div class="greyBoxInner2">
                                	<?php if (have_posts()) { ?>
                                     <?php 
										 $args = array(
											'author' => $current_user->ID,
											'order'  => DESC,
											'posts_per_page' => 10
										);
										query_posts($args);?>

										<?php while (have_posts()) : the_post(); ?>
                                        <!-- Question -->
                                        <div class="question">
                                            
                                            <div class="left questionMain">
                                            	<div class="right questionIcon">
                                                <a href="<?php the_permalink() ?>"><img src="<?php bloginfo('template_url'); ?>/images/question-icon.png" alt="Question" /></a>
                                                <div class="date">
                                                    <p><?php the_time('M'); ?></p><p class="dateDay"><?php the_time('j'); ?></p><p><?php the_time('Y'); ?></p>
                                                </div>
                                                <div class="clear"></div>
                                            </div>
                                                <h4><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>
                                                <?php $contentText = get_the_content(); ?>
                                               
                                                <?php $shortdesc = myTruncate($contentText, 200, " "); echo "<p>$shortdesc</p>"; ?>                         
                                                <div class="questionByline">
                                                    <a href="<?php comments_link();?>"><img src="<?php bloginfo('template_url'); ?>/images/num-answer-icon.png" alt="Answers" /></a>
                                                    <span class="answers"><a href="<?php comments_link();?>"><?php comments_number('No Answers', '1 Answer', '% Answers'); ?></a></span>
                                                    <span>در: <?php the_category(',') ?></span>
                                                    <span>توسط: <?php the_author_posts_link(); ?></span>
                                                 
                                                    <span class="points">[<?php echo getPointLevel($authordata->ID); ?>]</span>
                                                </div>
                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                        <!-- / Question -->
                                        <?php endwhile; ?>                                        
                                
                                    <?php } if (!have_posts()) { ?>
                                        <p class="introText">هیچ سوالی پرسیده نشده است.</p>
                                		<div class="clear"></div>
                                    <?php } ?>
                                    
									<?php wp_reset_query();?>
                                </div>
                            </div>
                        </div>
                        <!-- / My Recent Questions -->
                        
                        <!-- My Recent Answers -->
                        <div class="wContentBox" style="display:none;">
                        	<div class="greyBox2">
                                <div class="greyBoxInner2">
								   <?php
                                    $comments = getUserAnswers($current_user->ID);
                                    
									if (!empty($comments)) { ?>
										<!-- Answer -->
                                    	<?php
										foreach($comments as $comment) {
											
											$question = get_post($comment->comment_post_ID);
											$question_category = get_the_category($comment->comment_post_ID);
											query_posts('p=' . $comment->comment_post_ID);
										?>
									   
										<div class="question">
											
											<div class="left questionMain">
												<div class="right questionIcon">
												<a href="#answer-<?php comment_ID(); ?>"><img src="<?php bloginfo('template_url'); ?>/images/answer-icon2.png" alt="Answer" /></a>
												<div class="date">
													<p><?php echo get_comment_date(' M ') ?></p><p class="dateDay"><?php echo get_comment_date('j'); ?></p><p><?php echo get_comment_date('Y'); ?></p>
												</div>
												
											</div>
												<?php comment_text() ?>
											   <div class="divider2"></div>
												<div class="questionByline">
													<span>پرسش: <a href="<?php bloginfo('url'); ?>/<?php echo $question_category[0]->slug; ?>/<?php echo $question->post_name; ?>/#answer-<?php comment_ID();?>"><?php echo $question->post_title; ?></a></span>
												</div>
											</div>
											<div class="clear"></div>
										</div>
										<?php } ?> 
										<!-- Answer -->
  									<?php } if (empty($comments)) { ?>
                                        <p class="introText">شما هیچ پرسشی را پاسخ نداده اید</p>
                                		<div class="clear"></div>
                                    <?php } ?>

                                </div>
                            </div>
                        </div>
                        <!-- / My Recent Answers -->

                    </div>
                    <!-- Tabs Content Blocks -->
                    <div class="reset"></div>
                </div>
                <!-- My Recent Questions & Answers Tabbed Section -->

            	<div class="reset"></div>
               	<!-- / Main Box -->
				<?php
				// Redirect request to Log In Page
				 } else { ?>
					<?php redirect_to_login_url(); ?>
				<?php }; ?>            
            </div>
            <!-- / Center Column -->
            <?php get_sidebar(); ?>

        </div>
        <?php include (TEMPLATEPATH . '/banner_728x90.php'); ?>   
    </div>
    <!-- / Main Section -->

<?php get_footer(); ?>