<?php
/**
 * @package WordPress
 * @subpackage Instant Q&A - WPQA
 */
?>
<!-- Right Column -->
<div id="rightCol" class="left">
    
	<!-- Log In - Sign Up - Admin Options -->
    <div class="greyBox">
        <div class="greyBoxInner signup">
            <?php
            if ( is_user_logged_in() ) {
                 global $current_user;
                 get_currentuserinfo(); ?>
                 
                <!-- Member Options List -->
                <h4>حساب کاربری</h4>
                <ul class="memberOptions">
                    <li><a href="<?php bloginfo('url'); ?>/profile/<?php echo $current_user->user_nicename ?>" title="My Profile">پروفایل من</a></li>
                    <li><a href="<?php bloginfo('url'); ?>/my-account/" title="My Account">حساب کاربری من</a></li>
                    <li><a href="<?php bloginfo('url'); ?>/ask-a-question/" title="Add a Question">افزودن پرسش جدید</a></li>
                    <li><a href="<?php bloginfo('url'); ?>/my-account/change-password/" title="Change Password">تغییر رمز عبور</a></li>
                    <li><a href="<?php bloginfo('url'); ?>/my-account/edit-profile/" title="Edit Profile">ویرایش پروفایل</a></li>
                    <li><a href="<?php echo wp_logout_url('index.php'); ?>" title="خروج">خروج</a></li>
                </ul>
                <!-- / Member Options List -->
                
                <?php
                // If is an Admin Display Link to /wp-admin/
                if ( current_user_can('manage_options') ) {?> 
                    <div class="divider2"></div>
                    <h4>تنظیمات مدیریت</h4>
                    <ul class="memberOptions">
                        <li><a href="<?php bloginfo('url'); ?>/wp-admin/" title="پیشخوان وردپرس">پیشخوان</a></li>
                        <li><a href="<?php bloginfo('url'); ?>/wp-admin/edit.php" title="مدیریت پرسش ها">مدیریت پرسش ها</a></li>
                        <li><a href="<?php bloginfo('url'); ?>/wp-admin/users.php" title="مدیریت کاربران">مدیریت کاربران</a></li>
                        <li><a href="<?php bloginfo('url'); ?>/wp-admin/edit-pages.php" title="مدیریت برگه ها">مدیریت برگه ها</a></li>
                        <li><a href="http://www.persianscript.ir" target="_blank" title="پشتیبانی فالب">پشتیبانی فالب</a></li>
                    </ul>
                <?php } ?>
                    
            <?php } else { ?>
                <!-- Sign Up -->
                <h3 class="signupTitle">عضویت</h3>
                <p>پاسخ پرسش های خود را پیدا کنید!</p>
                <div class="signupBtn"><a href="<?php bloginfo('url'); ?>/sign-up/"><span>عضو شوید!</span></a></div>
                <div class="clear"></div>
                <div class="divider"></div>
                <!-- / Sign Up -->
                
                <!-- Member Login -->
                <h3>ورود کاربران</h3>
                <div class="whiteBtn marTop10"><a href="<?php bloginfo('url'); ?>/log-in/"><span> &laquo; وارد شوید</span></a></div>
                <div class="clear"></div>
                <!-- / Member Login -->
            <?php }; ?>
                
        </div>
    </div>
	<!-- / Log In - Sign Up - Admin Options -->

    <!-- Dynamic Sidebar -->
    <?php if ( !function_exists('dynamic_sidebar')
            || !dynamic_sidebar() ) : ?>
    <?php endif; ?>
    <!-- / Dynamic Sidebar -->
    
    <!-- Star Points Box -->
    <div class="yellowBox">
        <div class="yellowBoxInner pointsBox">
            <h3>جدول امتیازات</h3>
            <p>با پرسش سوالات و پاسخ دادن به دیگر کاربران امتیاز کسب کنید!</p>
            <div class="pointRow">
                <span class="right bigStar"><img src="<?php bloginfo('template_url'); ?>/images/grey-star-big.png" alt="Grey Sta Levelr" /></span>
                <span class="points">[<span>1 - 25</span> <img src="<?php bloginfo('template_url'); ?>/images/grey-star-points-icon.png" alt="Grey Star Level" />]</span>
            </div>
            <div class="pointRow">
                <span class="right"><img src="<?php bloginfo('template_url'); ?>/images/green-star-big.png" alt="Green Star Level" /></span>
                <span class="points">[<span>26 - 50</span> <img src="<?php bloginfo('template_url'); ?>/images/green-star-points-icon.png" alt="Green Star Level" />]</span>
            </div>
             <div class="pointRow">
                <span class="right"><img src="<?php bloginfo('template_url'); ?>/images/blue-star-big.png" alt="Blue Star Level" /></span>
                <span class="points">[<span>51 - 500</span> <img src="<?php bloginfo('template_url'); ?>/images/blue-star-points-icon.png" alt="Blue Star Level" />]</span>
            </div>
             <div class="pointRow">
                <span class="right"><img src="<?php bloginfo('template_url'); ?>/images/orange-star-big.png" alt="Orange Star Level" /></span>
                <span class="points">[<span>501 - 5000</span> <img src="<?php bloginfo('template_url'); ?>/images/orange-star-points-icon.png" alt="Orange Star Level" />]</span>
            </div>
             <div class="pointRow">
                <span class="right"><img src="<?php bloginfo('template_url'); ?>/images/red-star-big.png" alt="Red Star Level" /></span>
                <span class="points">[<span>5001 - 25000</span> <img src="<?php bloginfo('template_url'); ?>/images/red-star-points-icon.png" alt="Red Star Level" />]</span>
            </div>
             <div class="pointRow">
                <span class="right"><img src="<?php bloginfo('template_url'); ?>/images/black-star-big.png" alt="Black Star Level" /></span>
                <span class="points">[<span>25001+</span> <img src="<?php bloginfo('template_url'); ?>/images/black-star-points-icon.png" alt="Black Star Level" />]</span>
            </div>
        </div>
    </div>
    <!-- / Star Points Box -->
    <?php
	$banner_125_1 = stripslashes(get_option('instant_qa_ad125-1'));
	$banner_125_2 = stripslashes(get_option('instant_qa_ad125-2'));
	if ($banner_125_1 !="" || $banner_125_2 !== "") {  ?>    
    <!-- Ads Box -->
    <div class="greyBox">
        <div class="greyBoxInner sponsorsBox">
            <h3>آگهی</h3>
            <?php if ($banner_125_1 != "") { ?>
            <div class="bannerAd ad125x125"> 
                <?php echo $banner_125_1; ?>
            </div>
            <?php } ?>
            <?php if ($banner_125_2 != "") { ?>
            <div class="bannerAd ad125x125"> 
                <?php echo $banner_125_2; ?>
            </div>
            <?php } ?>
            <div class="clear"></div>
        </div>
    </div>
    <!-- Ads Box -->
	<?php } ?>
    
</div>

<!-- / Right Column -->
<div class="clear"></div>

